import datetime
from typing import Optional
from pydantic import BaseModel, ConfigDict, Field
from ..libvirt.dom.stats import Stats

class MemorySwap(BaseModel):
    swp_in:Optional[int] = Field(default=None)
    swp_out:Optional[int] = Field(default=None)

class Memory(BaseModel):
    swap:MemorySwap = Field()

class Stats(Stats):
    memory:Memory = Field()
    
class MongoStats(Stats):
    model_config = ConfigDict(arbitrary_types_allowed=True)
    
    created_at: datetime = Field(default=datetime.datetime.now(datetime.timezone.utc), alias='send_at')